Skip to main content
GET
/
exchanges
/
{id}
/
tickers
Exchange Tickers by ID
curl --request GET \
  --url https://api.coingecko.com/api/v3/exchanges/{id}/tickers \
  --header 'x-cg-demo-api-key: <api-key>'
{
  "name": "Binance",
  "tickers": [
    {
      "base": "BTC",
      "target": "USDT",
      "market": {
        "name": "Binance",
        "identifier": "binance",
        "has_trading_incentive": false,
        "logo": "https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274"
      },
      "last": 77172.88,
      "volume": 9243.62632,
      "cost_to_move_up_usd": 21983152.092277337,
      "cost_to_move_down_usd": 19695552.01703934,
      "converted_last": {
        "btc": 0.99912594,
        "eth": 36.349604,
        "usd": 77080
      },
      "converted_volume": {
        "btc": 9236,
        "eth": 336002,
        "usd": 712501236
      },
      "trust_score": null,
      "bid_ask_spread_percentage": 0.010013,
      "timestamp": "2026-05-26T10:32:37+00:00",
      "last_traded_at": "2026-05-26T10:32:37+00:00",
      "last_fetch_at": "2026-05-26T10:33:31+00:00",
      "is_anomaly": false,
      "is_stale": false,
      "trade_url": "https://www.binance.com/en/trade/BTC_USDT?ref=37754157",
      "token_info_url": null,
      "coin_id": "bitcoin",
      "target_coin_id": "tether",
      "coin_mcap_usd": 1545160286928.7285
    },
    {
      "base": "BTC",
      "target": "USDC",
      "market": {
        "name": "Binance",
        "identifier": "binance",
        "has_trading_incentive": false,
        "logo": "https://coin-images.coingecko.com/markets/images/52/small/binance.jpg?1706864274"
      },
      "last": 77189.96,
      "volume": 2736.40541,
      "cost_to_move_up_usd": 5747075.588603265,
      "cost_to_move_down_usd": 4869585.811774237,
      "converted_last": {
        "btc": 1.000158,
        "eth": 36.386207,
        "usd": 77159
      },
      "converted_volume": {
        "btc": 2737,
        "eth": 99567,
        "usd": 211138535
      },
      "trust_score": null,
      "bid_ask_spread_percentage": 0.010013,
      "timestamp": "2026-05-26T10:32:01+00:00",
      "last_traded_at": "2026-05-26T10:32:01+00:00",
      "last_fetch_at": "2026-05-26T10:33:30+00:00",
      "is_anomaly": false,
      "is_stale": false,
      "trade_url": "https://www.binance.com/en/trade/BTC_USDC?ref=37754157",
      "token_info_url": null,
      "coin_id": "bitcoin",
      "target_coin_id": "usd-coin",
      "coin_mcap_usd": 1545160286928.7285
    }
  ]
}

Notes

  • Tickers are paginated to 100 items per page.
  • Use order=base_target for stable pagination — sorts by base then target symbol in lexicographical order, preventing duplicate or missing tickers across pages.
  • When dex_pair_format=symbol, DEX pair base and target display as symbols (e.g. WETH, USDC) instead of contract addresses.

SDK Examples

const response = await client.exchanges.tickers.get('binance');

console.log(JSON.stringify(response, null, 2));

Authorizations

x-cg-demo-api-key
string
header
required

Path Parameters

id
string
default:binance
required

Exchange ID. *refers to /exchanges/list.

Query Parameters

coin_ids
string

Filter tickers by coin IDs, comma-separated if querying more than 1 coin. *refers to /coins/list.

Include exchange logo. Default: false

page
number

Page through results.

depth
boolean

Include 2% orderbook depth (cost_to_move_up_usd and cost_to_move_down_usd). Default: false

order
enum<string>

Sort the order of responses. Default: trust_score_desc

Available options:
market_cap_asc,
market_cap_desc,
trust_score_desc,
trust_score_asc,
volume_desc,
volume_asc,
base_target
dex_pair_format
enum<string>

Set to symbol to display DEX pair base and target as symbols. Default: contract_address

Available options:
contract_address,
symbol

Response

200 - application/json

Exchange tickers

name
string
required

Coin name

tickers
object[]
required

List of tickers